Differences between revisions 67 and 68
Revision 67 as of 2006-06-17 20:49:11
Size: 4424
Editor: ?smarenka
Comment:
Revision 68 as of 2006-06-21 02:13:11
Size: 4494
Editor: ?smarenka
Comment:
Deletions are marked like this. Additions are marked like this.
Line 36: Line 36:
* Assembler messages: Error: value out of range
  * debian #[http://bugs.debian.org/359281 359281], gnu pr [http://gcc.gnu.org/bugzilla/show_bug.cgi?id=26415 26415]
  * found in gcc-4.0 4.0.2-3, gcc-4.1.1-2
  * pkgs: torcs_1.2.4-1, grace_1:5.1.18-4 ([http://bugs.debian.org/338433 338433]), rscheme_0.7.3.4.b1-2.1 krecipes, synfig_0.61.05-5 parrot
  * works fine with latest binutils and gcc-3.3, but not gcc-4.0.
  * torcs & grace work with -O1 (both gcc-4.1 & gcc-4.0)
  * rscheme works with gcc-4.1 -O2 & gcc-4.0 -O1
Line 64: Line 71:

 * Assembler messages: Error: value out of range
  * debian #[http://bugs.debian.org/359281 359281]
  * found in gcc-4.0 4.0.2-3, gcc-4.1.1-2
  * pkgs: torcs_1.2.4-1, grace_1:5.1.18-4 ([http://bugs.debian.org/338433 338433]), rscheme_0.7.3.4.b1-2.1 krecipes, synfig_0.61.05-5
  * works fine with latest binutils and gcc-3.3, but not gcc-4.0.
  * torcs & grace work with -O1 (both gcc-4.1 & gcc-4.0)
  * rscheme works with gcc-4.1 -O2 & gcc-4.0 -O1

This page tracks current issues with ["GCC"] for ?DebianM68kPorting. User support is at debian-68k@lists.debian.org. Buildd admins can be found at m68k-build@nocrew.org.

m68k usertags

gcc-4.0 bugs

upstream

* Assembler messages: Error: value out of range

not upstream yet

  • ICE reload_cse_simplify_operands
    • debian #[http://bugs.debian.org/340293 340293], gnu pr 24912 (last updated 20051121)

    • nmh, openmsx_0.6.0-1
    • from 24912: fixed in trunk? (gnu pr is closed)
    • found in gcc-4.0 4.0.2-7, found in 4.1.0-1
    • The original test case doesn't fail, so this bug differs from 24912.
    • test against gcc-4.1_4.1.1-2
  • fftw3: ICE in reload
    • debian #[http://bugs.debian.org/323426 323426]

    • found in gcc-3.4 3.4.4-9, found in gcc-4.0 4.0.2-4
    • needs a test case
    • test vs. gcc-4.1
    • fixed in 4.1? (fftw3 built on Jun 5)
  • boost ICE
  • gij-4.0: dies with sigabrt
  • cmake: Illegal instruction
    • debian #[http://bugs.debian.org/360586 360586]

    • found in gcc-4.0 gcc-4.1
    • pkgs affected: vtk, octaviz
    • rebuilding cmake with -O0 allows vtk to build
    • test against gcc-4.1_4.1.1-2

no gcc bug filed yet

  • segfaulting exe's
    • found in gcc-4.0 4.0.2-9
    • pkgs: drscheme ecl emacs-snapshot libgc libgstreamer-perl newmat openoffice.org pnet synfigstudio
    • Related to reopened [http://bugs.debian.org/331150 331150]?

    • gcc-4.1 is the default, retry these or whatever package created the segfaulting app
  • g++: Internal error: Killed (program cc1plus)
    • found in gcc-4.0 4.0.3-1
    • fixed in gcc-4.1 4.1.0-1
    • pkgs: kdepim koffice monotone openvrml
    • gcc-4.1 is the default, rebuild and punt
    • yet to rebuild: openvrml, koffice

binNMUs